Dashboard Gate Client Aliases
5 endpoints from the published OpenAPI import.
GET/api/v1/dashboard/gate/client-aliases
List your client aliases
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
limit | query | integer | false | |
offset | query | integer | false |
Try it
Examples
cURL
curl -X GET 'https://spideriq.ai/api/v1/dashboard/gate/client-aliases' \
-H 'Authorization: Bearer <token>'Python
import httpx
resp = httpx.get(
"https://spideriq.ai/api/v1/dashboard/gate/client-aliases",
headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/dashboard/gate/client-aliases", {
method: "GET",
headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);Go
package main
import (
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://spideriq.ai/api/v1/dashboard/gate/client-aliases", nil)
req.Header.Set("Authorization", "Bearer <token>")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
}Responses
| Status | Description |
|---|---|
200 | Successful Response |
422 | Validation Error |
POST/api/v1/dashboard/gate/client-aliases
Create a client alias
- 🔴 The alias is LIVE for your tenant on return — creation is publication.
Try it
Examples
cURL
curl -X POST 'https://spideriq.ai/api/v1/dashboard/gate/client-aliases' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "string",
"description": "string",
"enabled": true,
"slots": [
{
"integration_id": 0,
"provider": "string",
"model": "string",
"enabled": true
}
]
}'Python
import httpx
resp = httpx.post(
"https://spideriq.ai/api/v1/dashboard/gate/client-aliases",
headers={"Authorization": "Bearer <token>", "Content-Type": "application/json"},
json={"name": "string", "description": "string", "enabled": true, "slots": [{"integration_id": 0, "provider": "string", "model": "string", "enabled": true}]},
)
resp.raise_for_status()
print(resp.json())JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/dashboard/gate/client-aliases", {
method: "POST",
headers: { "Authorization": "Bearer <token>", "Content-Type": "application/json" },
body: JSON.stringify({"name": "string", "description": "string", "enabled": true, "slots": [{"integration_id": 0, "provider": "string", "model": "string", "enabled": true}]})
});
const data = await resp.json();
console.log(data);Go
package main
import (
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{"name": "string", "description": "string", "enabled": true, "slots": [{"integration_id": 0, "provider": "string", "model": "string", "enabled": true}]}`)
req, _ := http.NewRequest("POST", "https://spideriq.ai/api/v1/dashboard/gate/client-aliases", body)
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
}Responses
| Status | Description |
|---|---|
201 | Successful Response |
422 | Validation Error |
GET/api/v1/dashboard/gate/client-aliases/{name}
Read one client alias
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
name | path | string | true |
Try it
Examples
cURL
curl -X GET 'https://spideriq.ai/api/v1/dashboard/gate/client-aliases/{name}' \
-H 'Authorization: Bearer <token>'Python
import httpx
resp = httpx.get(
"https://spideriq.ai/api/v1/dashboard/gate/client-aliases/{name}",
headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/dashboard/gate/client-aliases/{name}", {
method: "GET",
headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);Go
package main
import (
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://spideriq.ai/api/v1/dashboard/gate/client-aliases/{name}", nil)
req.Header.Set("Authorization", "Bearer <token>")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
}Responses
| Status | Description |
|---|---|
200 | Successful Response |
422 | Validation Error |
PATCH/api/v1/dashboard/gate/client-aliases/{name}
Update a client alias
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
name | path | string | true |
Try it
Examples
cURL
curl -X PATCH 'https://spideriq.ai/api/v1/dashboard/gate/client-aliases/{name}' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"description": "string",
"enabled": true,
"slots": [
{
"integration_id": 0,
"provider": "string",
"model": "string",
"enabled": true
}
]
}'Python
import httpx
resp = httpx.patch(
"https://spideriq.ai/api/v1/dashboard/gate/client-aliases/{name}",
headers={"Authorization": "Bearer <token>", "Content-Type": "application/json"},
json={"description": "string", "enabled": true, "slots": [{"integration_id": 0, "provider": "string", "model": "string", "enabled": true}]},
)
resp.raise_for_status()
print(resp.json())JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/dashboard/gate/client-aliases/{name}", {
method: "PATCH",
headers: { "Authorization": "Bearer <token>", "Content-Type": "application/json" },
body: JSON.stringify({"description": "string", "enabled": true, "slots": [{"integration_id": 0, "provider": "string", "model": "string", "enabled": true}]})
});
const data = await resp.json();
console.log(data);Go
package main
import (
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{"description": "string", "enabled": true, "slots": [{"integration_id": 0, "provider": "string", "model": "string", "enabled": true}]}`)
req, _ := http.NewRequest("PATCH", "https://spideriq.ai/api/v1/dashboard/gate/client-aliases/{name}", body)
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
}Responses
| Status | Description |
|---|---|
200 | Successful Response |
422 | Validation Error |
DELETE/api/v1/dashboard/gate/client-aliases/{name}
Delete a client alias
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
name | path | string | true |
Try it
Examples
cURL
curl -X DELETE 'https://spideriq.ai/api/v1/dashboard/gate/client-aliases/{name}' \
-H 'Authorization: Bearer <token>'Python
import httpx
resp = httpx.delete(
"https://spideriq.ai/api/v1/dashboard/gate/client-aliases/{name}",
headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/dashboard/gate/client-aliases/{name}", {
method: "DELETE",
headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);Go
package main
import (
"net/http"
)
func main() {
req, _ := http.NewRequest("DELETE", "https://spideriq.ai/api/v1/dashboard/gate/client-aliases/{name}", nil)
req.Header.Set("Authorization", "Bearer <token>")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
}Responses
| Status | Description |
|---|---|
204 | Successful Response |
422 | Validation Error |